Bug 305511 - Review Request: bluecurve-classic-metacity-theme - Bluecurve classic metacity theme
Review Request: bluecurve-classic-metacity-theme - Bluecurve classic metacity...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-09-25 13:02 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 11:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-25 13:02:38 EDT
Spec URL:
http://rstrode.fedorapeople.org/bluecurve-classic-metacity-theme/checkout/gtk-bluecurve-engine.spec

SRPM URL:
http://rstrode.fedorapeople.org/bluecurve-classic-metacity-theme/checkout/gtk-bluecurve-engine-1.0.0-1.fc8.src.rpm

Description:
This package contains the Bluecurve classic metacity theme, a
theme that was shipped in late versions of Red Hat Linux and early
versions of Fedora Core.
Comment 1 Matthias Clasen 2007-09-25 13:45:50 EDT
License field is wrong
Source URL should be a url or have a comment explaining why not
Description is somewhat misleading, we are still shipping it. It is just not the
default anymore.

find_lang %{name} || touch %{name}.lang

Why this construct ? Either there are translations or not...

I stopped including Changelog in %doc lists, recently, but thats up to you.
Comment 2 Ray Strode [halfline] 2007-09-25 14:33:07 EDT
Trimmed the description.

the find_lang shortcut, is just because the upstream tarballs don't yet contain
translations.  At some point in the near future they may.
Comment 3 Matthias Clasen 2007-09-25 14:46:45 EDT
> At some point in the near future they may.

Worth a quick comment, just like the src url still is.

Also, what is the strategy wrt to obsoleting redhat-artwork, or conflicting with
it ?
Comment 4 Ray Strode [halfline] 2007-09-25 17:49:56 EDT
Added the comments.

I guess I'm going to need to get all the packages that Requires: redhat-artwork
updated to require the part they actually need.

We may want to add a Provides: redhat-artwork in fedora-gnome-theme since it
will pull in most of the content, not sure.
Comment 5 Matthias Clasen 2007-09-25 20:50:30 EDT
rpmlint is silent
package name: ok
spec file name: ok
package guidelines: ok
license: ok
license field: ok
license file: must be included
spec file language: ok
spec file legible: yes
upstream sources: no upstream yet
buildable: ok
ExcludeArch: n/a
BRs: ok
locales: ok
shared libs: n/a
relocatable: n/a
directory ownership: must own /usr/share/themes/Bluecurve-classic and its 
  subdirectory
permissions: ok
%clean: ok
macro use: ok
content: permissible
large docs: n/a
%doc: ok
headers: n/a
static libs: n/a
pc files: n/a
library symlinks: n/a
devel package: n/a
la files: ok
gui apps: n/a
directory ownership: ok
%install: ok
utf8 filenames: ok

include the license file and fix the directory ownership, then it is good to go.

Comment 6 Ray Strode [halfline] 2007-09-25 22:57:07 EDT
should be good to go
Comment 7 Matthias Clasen 2007-09-27 14:22:51 EDT
indeed, approved
Comment 8 Ray Strode [halfline] 2007-10-09 11:58:45 EDT
New Package CVS Request
=======================
Package Name: bluecurve-classic-metacity-theme
Short Description: Bluecurve-classic-metacity-theme
Owners: rstrode,davidz
Branches:
InitialCC:
Cvsextras Commits: no
Comment 9 Bill Nottingham 2007-10-09 17:31:39 EDT
done

Note You need to log in before you can comment on or make changes to this bug.